Here is a sample code to create an MText that has its content set to a numbered list.
[CommandMethod("MTextNumberedList")]
public void CreateMTextNumberedList()
{
Database db = Application.DocumentManager.MdiActiveDocument.Database;
using (Transaction tr = db.TransactionManager.StartTransaction())
{
BlockTableRecord ms = tr.GetObject
(
SymbolUtilityServices.GetBlockModelSpaceId(db),
OpenMode.ForWrite
) as BlockTableRecord;
MText mText = new MText();
mText.SetDatabaseDefaults();
String rtfContents = @"{\pntext\f0 1.\tab}First Line\par{\pntext\f0 2.\tab}Second Line\par}";
mText.SetContentsRtf(rtfContents);
mText.Location = Point3d.Origin;
ms.AppendEntity(mText);
tr.AddNewlyCreatedDBObject(mText, true);
tr.Commit();
}
}